### Method

# WebKit AutomationSession set_application_info

#### Declaration [src]

    void
    webkit_automation_session_set_application_info (
      WebKitAutomationSession* session,
      WebKitApplicationInfo* info
    )

#### Description [src]

Set the application information to `session`.

This information will be used by the driver service to match the requested capabilities with the actual application information. If this information is not provided to the session when a new automation session is requested, the creation might fail if the client requested a specific browser name or version. This will not have any effect when called after the automation session has been fully created, so this must be called in the callback of `WebKitWebContext::automation-started` signal.

Available since: | 2.18

#### Parameters

`info` | `WebKitApplicationInfo`
| A `WebKitApplicationInfo`.
| The data is owned by the caller of the function.